Package com.xebialabs.xlrelease.domain.variables.reference

## Enum ReleasePropertyVariableKey

- java.lang.Object
- - java.lang.Enum<ReleasePropertyVariableKey>
  - - com.xebialabs.xlrelease.domain.variables.reference.ReleasePropertyVariableKey

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ReleasePropertyVariableKey>`

      public enum ReleasePropertyVariableKey
      extends java.lang.Enum<ReleasePropertyVariableKey>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DESCRIPTION` |
    `FLAG_COMMENT` |
    `FLAG_STATUS` |
    `ID` |
    `OWNER` |
    `STATUS` |
    `TAGS` |
    `TITLE` |
    `URL` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKey()` |
    `java.lang.String` | `getValue​(Release release)` |
    `static boolean` | `isReleasePropertyVariableKey​(java.lang.String key)` |
    `static ReleasePropertyVariableKey` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ReleasePropertyVariableKey[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final ReleasePropertyVariableKey ID

    - #### TITLE

          public static final ReleasePropertyVariableKey TITLE

    - #### URL

          public static final ReleasePropertyVariableKey URL

    - #### STATUS

          public static final ReleasePropertyVariableKey STATUS

    - #### OWNER

          public static final ReleasePropertyVariableKey OWNER

    - #### DESCRIPTION

          public static final ReleasePropertyVariableKey DESCRIPTION

    - #### FLAG_STATUS

          public static final ReleasePropertyVariableKey FLAG_STATUS

    - #### FLAG_COMMENT

          public static final ReleasePropertyVariableKey FLAG_COMMENT

    - #### TAGS

          public static final ReleasePropertyVariableKey TAGS

  - ### Method Detail

    - #### values

          public static ReleasePropertyVariableKey[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReleasePropertyVariableKey c : ReleasePropertyVariableKey.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReleasePropertyVariableKey valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKey

          public java.lang.String getKey()

    - #### getValue

          public java.lang.String getValue​(Release release)

    - #### isReleasePropertyVariableKey

          public static boolean isReleasePropertyVariableKey​(java.lang.String key)